import request from '@/utils/request'

// 查询树结构
export function getClassTreeApi() {
  return request({
    url: '/system/ClassificationManagement/tree',
    method: 'get'
  })
}
/**
 *  查询树结构
 * @param {*} data:{parentCode}
 * @returns
 */
export function getClassListApi(data) {
  return request({
    url: '/system/ClassificationManagement/list',
		method: 'post',
		data
  })
}

export function addKindModel(data) {
  return request({
    url: '/system/ClassificationManagement/save',
		method: 'post',
		data
  })
}
export function updateKindModel(data) {
  return request({
    url: '/system/ClassificationManagement/update',
		method: 'post',
		data
  })
}
export function deleteKindModel(data) {
  return request({
    url: '/system/ClassificationManagement/remove',
		method: 'post',
		data
  })
}

export function checkUniqueCatalog(data) {
  return request({
    url: '/system/ClassificationManagement/checkUniqueCatalog',
    method: 'post',
    data
  })
}
